package v9;

public class Disko
{
  protected int anzahlPersonen;    // Anzahl Personen in der Disko

  /**
   * Person kommt in die Disko.
   */
  public void personRein( int alter )
  {
    if ( alter >= 18 )
      anzahlPersonen++;
    else
      System.out.println( "Noch zu jung!" );
  }

  /**
   * Person verlässt die Disko.
   */
  public void personRaus()
  {
    if ( anzahlPersonen > 0 )
    anzahlPersonen--;
  }

  /**
   * Liefert Anzahl Personen in der Disko.
   * 
   * @return Anzahl Personen.
   */
  public int anzahlPersonen()
  {
    return anzahlPersonen;
  }
}
